Bug 60737 - Inconsistent scroll position at RTL page edge
: Inconsistent scroll position at RTL page edge
Status: RESOLVED FIXED
: WebKit
WebCore Misc.
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2011-05-12 16:47 PST by
Modified: 2011-07-21 20:01 PST (History)


Attachments
Test case (856 bytes, text/html)
2011-05-12 16:47 PST, Adrienne Walker
no flags Details
Incorrect scroll screenshot (17.33 KB, image/png)
2011-05-12 16:48 PST, Adrienne Walker
no flags Details
Another bug. (35.87 KB, image/png)
2011-07-13 06:49 PST, Robin Qiu
no flags Details
Qt porting has the same problem. (24.95 KB, image/png)
2011-07-13 06:57 PST, Robin Qiu
no flags Details
Not only RTL pages have this bug, all scrollable areas have this bug. (1.55 KB, text/html)
2011-07-18 06:17 PST, Robin Qiu
no flags Details
Draft patch (5.74 KB, patch)
2011-07-19 05:45 PST, Robin Qiu
no flags Review Patch | Details | Formatted Diff | Diff
Patch v1 (7.09 KB, patch)
2011-07-19 06:57 PST, Robin Qiu
webkit.review.bot: commit‑queue-
Review Patch | Details | Formatted Diff | Diff
Patch v1, test again. (7.09 KB, patch)
2011-07-20 02:08 PST, Robin Qiu
webkit.review.bot: commit‑queue-
Review Patch | Details | Formatted Diff | Diff
Patch v2 (7.27 KB, patch)
2011-07-20 06:32 PST, Robin Qiu
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-05-12 16:47:56 PST
Created an attachment (id=93367) [details]
Test case

I was loading the attached page on Chromium Linux (WebKit r86394) and noticed some scrolling oddities when scrolling all the way to the left.  In some cases, it appears as though the page doesn't scroll all the way that it should and cuts off some of the text.

If I mouse down and drag left, the page scrolls the rest of the way.  This happens intermittently but seems to happen more if I am scrolling slowly.
------- Comment #1 From 2011-05-12 16:48:48 PST -------
Created an attachment (id=93368) [details]
Incorrect scroll screenshot

I'd expect to see ZYX all on screen unlike this screenshot.
------- Comment #2 From 2011-07-13 06:49:40 PST -------
Created an attachment (id=100669) [details]
Another bug. 

The content is painted in wrong place after resizing the window. (not 100% reproducible).
------- Comment #3 From 2011-07-13 06:57:47 PST -------
Created an attachment (id=100670) [details]
Qt porting has the same problem.
------- Comment #4 From 2011-07-18 06:17:29 PST -------
Created an attachment (id=101154) [details]
Not only RTL pages have this bug, all scrollable areas have this bug.

This test case shows how to 100% reproduce this scroll position bug.
------- Comment #5 From 2011-07-19 05:45:47 PST -------
Created an attachment (id=101305) [details]
Draft patch
------- Comment #6 From 2011-07-19 06:57:03 PST -------
Created an attachment (id=101313) [details]
Patch v1

The fix is simple. :)
------- Comment #7 From 2011-07-19 14:00:07 PST -------
(From update of attachment 101313 [details])
Attachment 101313 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9168006

New failing tests:
fast/overflow/image-selection-highlight.html
fast/layers/scroll-rect-to-visible.html
fast/multicol/scrolling-overflow.html
fast/repaint/fixed-child-move-after-scroll.html
fast/dynamic/anchor-lock.html
fast/repaint/fixed-tranformed.html
fast/repaint/block-selection-gap-stale-cache-2.html
fast/repaint/fixed-child-of-fixed-move-after-scroll.html
fast/overflow/scrollbar-position-update.html
fast/dom/focus-contenteditable.html
fast/overflow/position-fixed-transform-clipping.html
fast/repaint/fixed-move-after-scroll.html
fast/overflow/008.html
fast/overflow/clip-rects-fixed-ancestor.html
fast/repaint/fixed-child-of-transformed-move-after-scroll.html
fast/overflow/scrollRevealButton.html
fast/dom/scroll-reveal-top-overflow.html
fast/dom/scroll-reveal-left-overflow.html
------- Comment #8 From 2011-07-20 02:08:09 PST -------
Created an attachment (id=101441) [details]
Patch v1, test again.
------- Comment #9 From 2011-07-20 03:26:38 PST -------
(From update of attachment 101441 [details])
Attachment 101441 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9199227

New failing tests:
fast/overflow/image-selection-highlight.html
fast/forms/input-number-events.html
fast/multicol/scrolling-overflow.html
fast/dom/scroll-reveal-left-overflow.html
fast/forms/input-number-large-padding.html
fast/repaint/fixed-child-move-after-scroll.html
fast/dynamic/anchor-lock.html
fast/repaint/block-selection-gap-stale-cache-2.html
fast/repaint/fixed-child-of-fixed-move-after-scroll.html
fast/overflow/008.html
fast/overflow/scrollbar-position-update.html
fast/dom/focus-contenteditable.html
fast/overflow/position-fixed-transform-clipping.html
fast/repaint/fixed-move-after-scroll.html
fast/forms/input-spinbutton-capturing.html
fast/overflow/clip-rects-fixed-ancestor.html
fast/repaint/fixed-child-of-transformed-move-after-scroll.html
fast/overflow/scrollRevealButton.html
fast/dom/scroll-reveal-top-overflow.html
fast/layers/scroll-rect-to-visible.html
------- Comment #10 From 2011-07-20 06:32:39 PST -------
Created an attachment (id=101459) [details]
Patch v2
------- Comment #11 From 2011-07-21 06:31:50 PST -------
(From update of attachment 101459 [details])
Feel free to cq+ it when you can watch the bots.
------- Comment #12 From 2011-07-21 06:42:52 PST -------
(In reply to comment #11)
> (From update of attachment 101459 [details] [details])
> Feel free to cq+ it when you can watch the bots.
OK, thanks for your review. :)
------- Comment #13 From 2011-07-21 20:01:05 PST -------
(From update of attachment 101459 [details])
Clearing flags on attachment: 101459

Committed r91547: <http://trac.webkit.org/changeset/91547>
------- Comment #14 From 2011-07-21 20:01:10 PST -------
All reviewed patches have been landed.  Closing bug.